package com.middlemind.retro;

import java.io.*;

/**
 *
 * @author Victor G. Brusca, Middlemind Games
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            //1. File that contains list of ROMS
            //2. ROM Path
            //3. Core Path
            //4. Core Name
            //5. DB Name
            String romList = "";
            String romPath = "";
            String corePath = "";
            String coreName = "";
            String dbName = "";
            String outFile = "output.txt";
            
            if(args.length < 5) {
                System.out.println("Usage: [ROM List] [ROM Path with ending slash] [Core Path] [Core Name] [Database Name]");
                return;
            }else {
                romList = args[0];
                romPath = args[1];
                corePath = args[2];
                coreName = args[3];
                dbName = args[4];
            }

            String line = "";
            FileReader rlf = new FileReader(romList);
            BufferedReader br = new BufferedReader(rlf);            
            FileWriter ofw = new FileWriter(outFile);
            BufferedWriter bw = new BufferedWriter(ofw);
            
            line = br.readLine();
            while(line != null && line.equals("") == false) {
                bw.write("{\n");
                bw.write("\t\"path\": \"" + romPath + line + "\",\n");
                bw.write("\t\"label\": \"" + line.substring(0, line.lastIndexOf(".")) + "\",\n");
                bw.write("\t\"core_path\": \"" + corePath + "\",\n");
                bw.write("\t\"core_name\": \"" + coreName + "\",\n");
                bw.write("\t\"crc32\": \"DETECT\",\n");
                bw.write("\t\"db_name\": \"" + dbName + "\"\n");                
                bw.write("},\n");
                line = br.readLine();
            }
            
            bw.flush();
            bw.close();
            ofw.close();
            
            br.close();
            rlf.close();
            
        }catch(Exception e) {
            e.printStackTrace();
        }        
    }    
}
